org.jfree.xml.generator.model

## Class PropertyInfo

- java.lang.Object
- - org.jfree.xml.generator.model.TypeInfo
  - - org.jfree.xml.generator.model.PropertyInfo

Direct Known Subclasses:
  IgnoredPropertyInfo, IndexedPropertyInfo

    public class PropertyInfo
    extends TypeInfo

Information about a property.

### Constructor Summary

Constructors
Constructor and Description
`PropertyInfo(java.lang.String name, java.lang.Class type)` Creates a new info object for a property.

### Method Summary

Methods
`PropertyType` `getPropertyType()` Returns the property type.
`java.lang.String` `getXmlHandler()` Returns the XML handler.
`java.lang.String` `getXmlName()` Returns the XML name.
`boolean` `isPreserve()` Returns the preserve flag.
`boolean` `isReadMethodAvailable()` Returns `true` if there is a read method available, and `false` otherwise.
`boolean` `isWriteMethodAvailable()` Returns `true` if there is a write method available, and `false` otherwise.
`void` `setPreserve(boolean preserve)` Sets the preserve flag.
`void` `setPropertyType(PropertyType propertyType)` Sets the property type.
`void` `setReadMethodAvailable(boolean readMethodAvailable)` Sets a flag indicating whether or not there is a read method for this property.
`void` `setWriteMethodAvailable(boolean writeMethodAvailable)` Sets a flag indicating whether or not there is a write method for this property.
`void` `setXmlHandler(java.lang.String xmlHandler)` Sets the XML handler.
`void` `setXmlName(java.lang.String xmlName)` Sets the XML name.

### Methods inherited from class org.jfree.xml.generator.model.TypeInfo

`equals, getComments, getDescription, getName, getType, hashCode, isConstrained, isNullable, setComments, setConstrained, setDescription, setNullable`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyInfo

    public PropertyInfo(java.lang.String name,
                java.lang.Class type)

Creates a new info object for a property.

Parameters:
  `name` - the property name.
  `type` - the class.

### Method Detail

#### isPreserve

    public boolean isPreserve()

Returns the preserve flag.

Returns:
  the preserve flag.

#### setPreserve

    public void setPreserve(boolean preserve)

Sets the preserve flag.

Parameters:
  `preserve` - the preserve flag.

#### getPropertyType

    public PropertyType getPropertyType()

Returns the property type. This describes how the property is handled in XML.

Returns:
  the property type.

#### setPropertyType

    public void setPropertyType(PropertyType propertyType)

Sets the property type.

Parameters:
  `propertyType` - the type (`null` not permitted).

#### getXmlHandler

    public java.lang.String getXmlHandler()

Returns the XML handler.

Returns:
  the XML handler.

#### setXmlHandler

    public void setXmlHandler(java.lang.String xmlHandler)

Sets the XML handler.

Parameters:
  `xmlHandler` - the fully qualified class name for the attribute handler.

#### getXmlName

    public java.lang.String getXmlName()

Returns the XML name.

Returns:
  the XML name.

#### setXmlName

    public void setXmlName(java.lang.String xmlName)

Sets the XML name.

Parameters:
  `xmlName` - the XML name.

#### isReadMethodAvailable

    public boolean isReadMethodAvailable()

Returns `true` if there is a read method available, and `false` otherwise.

Returns:
  a boolean.

#### setReadMethodAvailable

    public void setReadMethodAvailable(boolean readMethodAvailable)

Sets a flag indicating whether or not there is a read method for this property.

Parameters:
  `readMethodAvailable` - the new value of the flag.

#### isWriteMethodAvailable

    public boolean isWriteMethodAvailable()

Returns `true` if there is a write method available, and `false` otherwise.

Returns:
  a boolean.

#### setWriteMethodAvailable

    public void setWriteMethodAvailable(boolean writeMethodAvailable)

Sets a flag indicating whether or not there is a write method for this property.

Parameters:
  `writeMethodAvailable` - the new value of the flag.